Name:           python-optimum-habana
Version:        1.17.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Optimum Habana is the interface between the Hugging Face Transformers and Diffusers libraries and Habana's Gaudi processor (HPU). It provides a set of tools enabling easy model loading, training and inference on single- and multi-HPU settings for different downstream tasks.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://huggingface.co/hardware/habana
Source:         %{pypi_source optimum_habana}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'optimum-habana' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-optimum-habana
Summary:        %{summary}

%description -n python3-optimum-habana %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-optimum-habana quality,tests


%prep
%autosetup -p1 -n optimum_habana-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x quality,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-optimum-habana -f %{pyproject_files}


%changelog
%autochangelog